// D import file generated from 'derelict/freetype/ft.d'
module derelict.freetype.ft;
public 
{
	import derelict.freetype.types;
	import derelict.freetype.functions;
}
private 
{
	import derelict.util.loader;
	import derelict.util.system;
	static if (Derelict_OS_Windows)
	{
		enum libNames = "freetype.dll,libfreetype-6.dll";
	}
	else
	{
		static if (Derelict_OS_Mac)
		{
			enum libNames = "libfreetype.dylib,libfreetype.6.dylib,libfreetype.6.3.16.dylib,/usr/X11/lib/libfreetype.dylib,/usr/X11/lib/libfreetype.6.dylib,/usr/X11/lib/libfreetype.6.3.16.dylib";
		}
		else
		{
			static if (Derelict_OS_Posix)
			{
				enum libNames = "libfreetype.so.6,libfreetype.so";
			}
			else
			{
				static assert(0, "Need to implement FreeType libNames for this operating system.");
			}
		}
	}
}
class DerelictFTLoader : SharedLibLoader
{
	public this();

	protected override void loadSymbols();


}
__gshared DerelictFTLoader DerelictFT;

shared static this();
